/*
 * Copyright 2012          Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */






#ifndef __DEF_MF_UG_CONF_H_
#define __DEF_MF_UG_CONF_H_

#include <Elementary.h>

#define UGPACKAGE				"ug-myfile-efl"
#define UGPKGNAME_MYFILE			"org.tizen.myfile"
#define UGLOCALEDIR				"/usr/ug/res/locale"

#define UG_EDJ_PATH				"/usr/ug/res/edje/ug-myfile-efl"
#define UG_ICON_PATH				"/usr/ug/res/images/ug-myfile-efl"

#define UG_EDJ_NAVIGATIONBAR			UG_EDJ_PATH"/ug_navibar_layout.edj"


#define UG_GRP_LIST				"effect/model/list"
#define UG_GRP_NAVI_VIEW			"navigation_view"
#define UG_GRP_NO_CONTENT			"noContent"
#define UG_GRP_PATH_INFO			"pathinfo"
#ifdef UG_OPERATION_SELECT_MODE
#define UG_OPTION_COUNT				6
#else
#define UG_OPTION_COUNT				5
#endif
#define UG_ERROR_RETURN				(-1)

#define UG_SELECT_MODE_MULTI_ALL		"MULTI_ALL"
#define UG_SELECT_MODE_SINGLE_ALL		"SINGLE_ALL"
#define UG_SELECT_MODE_MULTI_FILE		"MULTI_FILE"
#define UG_SELECT_MODE_SINGLE_FILE		"SINGLE_FILE"
#define UG_SELECT_MODE_IMPORT			"IMPORT"
#define UG_SELECT_MODE_IMPORT_PATH_SELECT	"IMPORT_PATH_SELECT"
#define UG_SELECT_MODE_IMPORT_SINGLE			"IMPORT_SINGLE"
#define UG_SELECT_MODE_EXPORT			"EXPORT"
#define UG_SELECT_MODE_SHORTCUT			"SHORTCUT"
#define UG_SELECT_MODE_SAVE			"SAVE"

#define UG_FILE_FILTER_IMAGE			"IMAGE"
#define UG_FILE_FILTER_SOUND			"SOUND"
#define UG_FILE_FILTER_VIDEO			"VIDEO"
#define UG_FILE_FILTER_FLASH			"FLASH"
#define UG_FILE_FILTER_FOLDER			"FOLDER"
#define UG_FILE_FILTER_IV			"IV"
#define UG_FILE_FILTER_IS			"IS"
#define UG_FILE_FILTER_VS			"VS"
#define UG_FILE_FILTER_ALL			"ALL"

#define UG_DRM_FILTER_ALL			"DRM_ALL"
#define UG_DRM_FILTER_NONE			"DRM_NONE"
#define UG_DRM_FILTER_WITHOUT_FL		"DRM_WITHOUT_FL"

#define UG_MUSIC_PATH				"/opt/usr/media/Sounds and music/Music"
#define UG_RINGTION_PATH			"/opt/usr/media/Sounds and music/Ringtones"
#define UG_SETTING_RINGTONE_PATH		"/opt/share/settings/Ringtones"
#define UG_SETTING_MSG_ALERTS_PATH		"/opt/share/settings/Alerts"
#define UG_SETTING_ALERTS_PATH			"/opt/share/settings/Alarms"

#define MAX_MESSAGE_LEN				1024
#define ACCUMULATED_DATE			86400	/* 24*60*60 */

#define DRM_MESSAGE_LEN				256
#define UG_LABEL_STRING_LENGTH			128

#define UG_TIME_FORMAT "02u:%02u:%02u"
#define UG_TIME_ARGS(t) \
	(t) / (3600), \
	((t) / 60) % 60, \
	(t) % 60

#define _EDJ(o) elm_layout_edje_get(o)

#define INTERVAL_THUMB_UPDATE	0.5

#endif /* __DEF_MYFILE_CONF_H_ */
